Subject: Re: When should we release Git 3.0?

From: "brian m. carlson" <[email-masked]>
Date: Thu, 16 Oct 2025 21:42:14 +0000

On 2025-10-08 at 21:59:03, Taylor Blau wrote:
> I would imagine that the definition of "roadmap" here is fairly
> lightweight, since I imagine that some organizations may not want to
> share details beyond "we will have it done by X date".

Certainly.  I think the more details stakeholders are willing to give
us, though, the more flexible we can be.  If a forge says, "we're about
75% done, but our CI product needs another month," that's a more
compelling argument than, "well, we just need another month for
reasons," especially if their previous deadline has already slipped
(which tends to happen on software projects, as we all know).

For open source projects, of course, seeing progress is relatively easy.
Many companies may have alpha or beta programs and could share that
status with us if they don't wish to be more specific.
-- 
brian m. carlson (they/them)
Toronto, Ontario, CA